### Method

# Camel Service set_settings

since: 3.2

#### Declaration [src]

    void
    camel_service_set_settings (
      CamelService* service,
      CamelSettings* settings
    )

#### Description [src]

Associates a new `CamelSettings` instance with the service. The `settings` instance must match the settings type defined in `CamelServiceClass`. If `settings` is `NULL`, a new `CamelSettings` instance of the appropriate type is created with all properties set to defaults.

Available since: 3.2

Sets property | `Camel.Service:settings`

#### Parameters

`settings`

  Type: `CamelSettings`

  An instance derviced from `CamelSettings`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.